# Imce settings
imce.settings:
  type: config_object
  label: 'Imce settings'
  mapping:
    abs_urls:
      type: boolean
      label: 'Enable absolute URLs'
    admin_theme:
      type: boolean
      label: 'Use admin theme for IMCE paths'
    roles_profiles:
      type: sequence
      label: 'Role-profile assignments'
      sequence: 
        - type: sequence
          sequence:
            - type: string

# Imce Profile entity
imce.profile.*:
  type: config_entity
  label: 'Imce Profile'
  mapping:
    id:
      type: string
      label: 'ID'
    label:
      type: label
      label: 'Name'
    description:
      type: label
      label: 'Description'
    conf:
      type: sequence
      label: 'Configuration'
      sequence:
        - type: imce.profile_conf.[%key]

# Profile configuration options
imce.profile_conf.extensions:
  type: string
  label: 'Allowed file extensions'

imce.profile_conf.usertab:
  type: boolean
  label: 'Display file browser tab in user profile pages'

imce.profile_conf.maxsize:
  type: float
  label: 'Maximum file size'

imce.profile_conf.quota:
  type: float
  label: 'Disk quota'

imce.profile_conf.maxwidth:
  type: integer
  label: 'Maximum image width'

imce.profile_conf.maxheight:
  type: integer
  label: 'Maximum image height'

imce.profile_conf.replace:
  type: integer
  label: 'Upload replace method'

imce.profile_conf.thumbnail_style:
  type: string
  label: 'Thumbnail style'

imce.profile_conf.thumbnail_grid_style:
  type: boolean
  label: 'Thumbnail grid style'

imce.profile_conf.ignore_usage:
  type: boolean
  label: 'Ignore file usage'

imce.profile_conf.folders:
  type: sequence
  label: 'Folders'
  sequence:
    - type: mapping
      label: 'Folder'
      mapping:
        path:
          type: string
          label: 'Path'
        permissions:
          type: sequence
          label: 'Permissions'
          sequence:
            - type: boolean

# File field settings
field.widget.third_party.imce:
  type: mapping
  label: 'Imce field widget settings'
  mapping:
    enabled:
      type: boolean
      label: 'Imce enabled'
